Name:		kde-plasma-smooth-tasks
Version:	0.0.1
Release:	0.9.20120313hge8a97edfdebc%{?dist}
Summary:	KDE taskbar replacement with window peeking ability

Group:		User Interface/Desktops
License:	GPLv2+
URL:		https://bitbucket.org/flupp/smooth-tasks-fork
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  hg clone https://bitbucket.org/flupp/smooth-tasks-fork
#  hg archive -r e8a97edfdebc smooth-tasks-fork-e8a97edfdebc.tar.gz
Source0:	smooth-tasks-fork-e8a97edfdebc.tar.gz
# Crash when startup item is deleted
Patch0:		smooth-tasks-fork-0.0.1-fix-crash-on-item-destruction.patch
# fix qreal != double assumption for arm, upstreamable
Patch1: 	smooth-tasks-qreal_arm.patch


BuildRequires:	gettext, kdebase-workspace-devel
Requires:	kdebase-workspace
Obsoletes:  kde-plasma-stasks < 0.5.1-8

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
This taskbar replacement has window peeking similar to Windows 7 
when you use the kwin 'highlite window' effect. 
Even if this effect is not used you can click the tooltip in order 
to activate the corresponding window.

%prep
%setup -q -n smooth-tasks-fork-e8a97edfdebc
## Due to the name change this sed is needed for find-lang.
sed -i 's,set(catalogname plasma_applet_smooth-tasks),set(catalogname kde-plasma-smooth-tasks),g' po/CMakeLists.txt
%patch0 -p1
%patch1 -p1 -b .qreal_arm

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang %{name} --with-kde

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog README COPYING
%{_kde4_libdir}/kde4/plasma_applet_smooth-tasks.so
%{_kde4_datadir}/kde4/services/plasma-applet-smooth-tasks.desktop


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.9.20120313hge8a97edfdebc
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.8.20120313hge8a97edfdebc
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 02 2012 Rex Dieter <rdieter@fedoraproject.org> 0.0.1-0.7.20120313hge8a97edfdebc
- fix FTBFS on arm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.6.20120313hge8a97edfdebc
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 16 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-0.5.20120313hge8a97edfdebc
- Fix crash when startup item is deleted

* Tue Mar 13 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-0.4.20120313hge8a97edfdebc
- Use smooth-tasks-fork instead of original smooth-tasks (upstream seems dead)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.3.wip20101106
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.2.wip20101106
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 26 2010 Sven Lankes <sven@lank.es> 0.0.1-0.1.wip20101106
- bugfix release
- remove buildroot related spec-entries
- rebuild for KDE SC 4.6

* Fri Nov 05 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20101105
- bugfix release

* Mon May 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20100227
- bugfix release

* Wed Feb 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20100213
- New upstream source

* Thu Feb 11 2010 Sven Lankes <sven@lank.es> 0.0.1-0.1.wip20091206%{?dist}.2
- add obsoletes for kde-plasma-stasks

* Thu Feb 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20091206%{?dist}.1
- rebuild for KDE SC 4.4

* Sun Dec 27 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20091206
- NEW: also do middle click action on tooltip
- FIX: chinese translation by Weng Xuetian (hurricanek)

* Mon Nov 30 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20091126
- New upstream version.
- FIX: taskbar getting stuck issue
- FIX: tiny bit better animation tick time calculation

* Wed Nov 18 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20091116
- New upstream version
- FIXES: text placement (more like the original taskbar does it)

* Wed Nov 11 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20091111
- Initial Fedora release
